%global theme_name Aldabra
%global theme_dir %{_datadir}/themes/%{theme_name}

Name:           aldabra-theme-gnome
Version:        0.7.5
Release:        1%{?dist}
Summary:        Aldabra theme pack for GNOME

Group:          User Interface/Desktops
License:        LGPLv2
URL:            http://gnome-look.org/content/show.php/Aldabra?content=142247
Source0:        http://gnome-look.org/CONTENT/content-files/142247-%{theme_name}-0.7.5.zip

Requires:       adwaita-gtk3-theme
Requires:       gtk-murrine-engine
BuildArch:      noarch

%description
Aldabra is a GTK2 theme that uses the Murrine and Pixmap engines to mimic the
look of Adwaita, the default GNOME 3 theme. The goal of this theme is to provide
visual consistency between GTK2 and GTK3 applications.


%prep
%setup -q -c

find . -name "*~" -exec rm {} \;


%build


%install
install -d $RPM_BUILD_ROOT/%{_datadir}/themes/%{theme_name}/
cp -a %{theme_name}/gtk-2.0/ $RPM_BUILD_ROOT/%{_datadir}/themes/%{theme_name}/

# The archive bundles copies of Adwaita's background and GTK3/Metacity
# themes. Symbolic links to system Adwaita will be used instead, as recommended
# by the author of the theme
ln -s %{_datadir}/themes/Adwaita/{backgrounds,gtk-3.0,metacity-1} $RPM_BUILD_ROOT/%{_datadir}/themes/%{theme_name}/


%files
%defattr(-,root,root,-)
%doc COPYING NEWS
%{_datadir}/themes/%{theme_name}/


%changelog
* Sat Jun 18 2011 Mohamed El Morabity <melmorabity@fedoraproject.org> - 0.7.5-1
- Initial RPM release
